language: c

compiler:
  - gcc
  - clang

env:
  - ARCH=i386
  - ARCH=x86_64

before_install:
  - sudo apt-get update -qq
  - sudo apt-get install -qq libsndfile1-dev libsamplerate-dev
  - sudo apt-get install -qq libjack-dev libasound2-dev
  - sudo apt-get install -qq libfftw3-dev

script:
  - ./waf distclean configure build --alltests
